Логотип   Простое и понятное управление
  Уникальные возможности по настройке
  Open Server скачали уже 1 016 092 раза!

Форум

Добро пожаловать, Гость!

Падает Apache при использовании PHP 5.3

Обсуждение проблем в работе программного комплекса
BerdArt
Сообщения: 1
C нами: 4 года 9 мес

Непрочитанное сообщение BerdArt » 09 фев 2012, 15:42

Доброе время суток.

Хочу выразить благодарность за столь прекрасный инструмент. Очень доволен и мне очень нравится ваша сборочка. Но хочется чтобы она была еще лучше и поэтому хочу сообщить о проблеме, с которой я столкнулся.
Установился, включил версию PHP 5.3.9 (Open-server v.4.1.2). Установил друпал и решил установить пакет модулей Rules. Rules core включается нормально, а вот включить Rules UI не могу - падает сервер. В браузер никакого ответа не приходит - сервер разорвал соединение. В логах никаких ошибок, просто сервер перезагружается. В ОС (использую Windows 7 x64) есть запись об ошибке следующего вида:
Имя сбойного приложения: httpd.exe, версия: 2.2.21.0, отметка времени: 0x4e731ce1
Имя сбойного модуля: php5ts.dll, версия: 5.3.9.0, отметка времени 0x4f0c57db
Код исключения: 0xc0000005
Смещение ошибки: 0x000a3b02
Идентификатор сбойного процесса: 0x4b4
Время запуска сбойного приложения: 0x01cce724d6536410
Путь сбойного приложения: Z:\server\http\Apache-2.2.21\bin\httpd.exe
Путь сбойного модуля: Z:\server\php\PHP-5.3.9\php5ts.dll


Переключился на PHP 5.2.17 - все работает отлично.
Погуглил, похоже что проблема в конфигурации PHP. Вот один из линков http://www.farinspace.com/php-error-faulting-module-name-php5ts/

Не подскажете как с этим бороться?

Заранее благодарен,
Артем

AkimovNY
Сообщения: 14
C нами: 4 года 5 мес
Откуда: Калуга
Контакты:

Непрочитанное сообщение AkimovNY » 13 июн 2012, 10:09

Аналогично, у меня тоже самое. Причем, если выбрать сервер Nginx то все работает нормально, ошибки возникают если сервер Apache + php 5.3 или php 5.4, но если выбрать Apache + php 5.2 то ошибок нет.. Как решить данную проблему?
И проблема походу дела не в конфигах а в самом apache...

Аватара пользователя
Максим
Сообщения: 4868
C нами: 5 лет 11 мес
Контакты:

Непрочитанное сообщение Максим » 13 июн 2012, 10:27

Дождитесь новой версии и попробуйте на ней

AkimovNY
Сообщения: 14
C нами: 4 года 5 мес
Откуда: Калуга
Контакты:

Непрочитанное сообщение AkimovNY » 13 июн 2012, 10:31

Когда примерно выйдет новая версия? Спасибо. И можете рассказать в чем именно проблема?

Аватара пользователя
Максим
Сообщения: 4868
C нами: 5 лет 11 мес
Контакты:

Непрочитанное сообщение Максим » 13 июн 2012, 10:39

Сегодня, новости уже висят. А в чем проблема - откуда мне знать, это проблема в php и apache, вот к ним на форум и обращайтесь, я отвечаю только за работу управляющей программы ;)

AkimovNY
Сообщения: 14
C нами: 4 года 5 мес
Откуда: Калуга
Контакты:

Непрочитанное сообщение AkimovNY » 13 июн 2012, 10:46

хорошо)
А что будет в новой версии что может изменить данную проблему?
Т.е. как вы ее исправили?

Аватара пользователя
Максим
Сообщения: 4868
C нами: 5 лет 11 мес
Контакты:

Непрочитанное сообщение Максим » 13 июн 2012, 10:52

Почему вы решили что я ее исправил? Я сказал - попробуйте. Я так сказал, потому что изменилась конфигурация и окружение сервера, потому возможно что-то исправится.

AkimovNY
Сообщения: 14
C нами: 4 года 5 мес
Откуда: Калуга
Контакты:

Непрочитанное сообщение AkimovNY » 15 июн 2012, 23:21

в новой версии проблема не решилась(( Apache так же падает


Вернуться в «Ошибки Open Server»

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 0 гостей